package com.kingdee.eas.custom.dormitorysystem.waterelectricity;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class WaterElectricityCollection extends AbstractObjectCollection 
{
    public WaterElectricityCollection()
    {
        super(WaterElectricityInfo.class);
    }
    public boolean add(WaterElectricityInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(WaterElectricityCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(WaterElectricityInfo item)
    {
        return removeObject(item);
    }
    public WaterElectricityInfo get(int index)
    {
        return(WaterElectricityInfo)getObject(index);
    }
    public WaterElectricityInfo get(Object key)
    {
        return(WaterElectricityInfo)getObject(key);
    }
    public void set(int index, WaterElectricityInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(WaterElectricityInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(WaterElectricityInfo item)
    {
        return super.indexOf(item);
    }
}